--- /dev/null
+#!/bin/sh
+
+. ./tests/lib/test-setup.sh
+
+foo_setup
+
+cat >> "$conf" <<EOF
+[bar]
+type = symlink
+path = /etc/nixos
+EOF
+
+python3 ./pinch.py pin "$conf"
+
+actual_env_command=`python3 ./pinch.py update --dry-run "$conf"`
+
+expected_env_command_RE='^nix-env --profile /nix/var/nix/profiles/per-user/[^/]+/channels --show-trace --file '\''<nix/unpack-channel.nix>'\'' --install --from-expression '\''f: f \{ name = "link"; channelName = "bar"; src = builtins.storePath "'"$NIX_STORE_DIR"'/.{32}-link.tar.gz"; \}'\'' '\''f: f \{ name = "(repo-[0-9]{10}-[0-9a-f]{11})"; channelName = "foo"; src = builtins.storePath "'"$NIX_STORE_DIR"'/.{32}-\1.tar.xz"; \}'\''$'
+
+if echo "$actual_env_command" | egrep "$expected_env_command_RE" > /dev/null;then
+ echo PASS
+else
+ echo "Output: $actual_env_command"
+ echo "does not match RE: $expected_env_command_RE"
+ exit 1
+fi